Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchCallMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Messages>
it.tdlight.jni.TdApi.SearchCallMessages

Enclosing class:
  TdApi

public static final class TdApi.SearchCallMessages extends TdApi.Function<TdApi.Messages>
Searches for call messages. Returns the results in reverse chronological order (i. e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `Messages`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`fromMessageId`
Identifier of the message from which to search; use 0 to get results from the last message.
`int`
`limit`
The maximum number of messages to be returned; up to 100.
`boolean`
`onlyMissed`
If true, returns only messages with missed calls.

## Constructor Summary

Constructors
Constructor
Description
`SearchCallMessages()`
Searches for call messages.
`SearchCallMessages(long fromMessageId, int limit, boolean onlyMissed)`
Searches for call messages.
`SearchCallMessages(DataInput input)`
Searches for call messages.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fromMessageId

public long fromMessageId
Identifier of the message from which to search; use 0 to get results from the last message.

### limit

public int limit
The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### onlyMissed

public boolean onlyMissed
If true, returns only messages with missed calls.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SearchCallMessages

public SearchCallMessages()
Searches for call messages. Returns the results in reverse chronological order (i. e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `Messages`

### SearchCallMessages

public SearchCallMessages(long fromMessageId, int limit, boolean onlyMissed)
Searches for call messages. Returns the results in reverse chronological order (i. e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `Messages`

Parameters:
  `fromMessageId` - long Identifier of the message from which to search; use 0 to get results from the last message.
  `limit` - int The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
  `onlyMissed` - boolean If true, returns only messages with missed calls.

### SearchCallMessages

public SearchCallMessages(DataInput input) throws IOException
Searches for call messages. Returns the results in reverse chronological order (i. e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `Messages`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`